import request from '@/utils/request'

// 列表
export function list(query) {
  return request({
    url: '/system/business/gyzjFfjl/list',
    method: 'get',
    params: query
  })
}
// 稽查轨迹列表
export function jcgjList(query) {
  return request({
    url: '/system/business/gyzjFfjl/jcgjList',
    method: 'get',
    params: query
  })
}

// 详情
export function info(query) {
  return request({
    url: '/system/business/gyzjFfjl/info',
    method: 'get',
    params: query
  })
}
// 解锁
export function js(data) {
  return request({
    url: '/system/business/gyzjFfjl/js',
    method: 'post',
    data: data
  })
}
// 锁定
export function sd(data) {
  return request({
    url: '/system/business/gyzjFfjl/sd',
    method: 'post',
    data: data
  })
}
// 锁定
export function plsd(data) {
  return request({
    url: '/system/business/gyzjFfjl/plsd',
    method: 'post',
    data: data
  })
}
//归档
export function gd(data) {
  return request({
    url: '/system/business/gyzjFfjl/gd',
    method: 'post',
    data: data
  })
}
//解档
export function jd(data) {
  return request({
    url: '/system/business/gyzjFfjl/jd',
    method: 'post',
    data: data
  })
}
//借阅
export function jy(data) {
  return request({
    url: '/system/business/gyzjFfjl/jy',
    method: 'post',
    data: data
  })
}
//归档
export function plgd(data) {
  return request({
    url: '/system/business/gyzjFfjl/plgd',
    method: 'post',
    data: data
  })
}
//加签
export function jq(data) {
  return request({
    url: '/system/business/gyzjFfjl/jq',
    method: 'post',
    data: data
  })
}